Subject: bug#63861: [PATCH] pp.el: New "pretty printing" code

From: Visuwesh <[email-masked]>
Date: Fri, 09 Jun 2023 21:34:43 +0530

[வெள்ளி ஜூன் 09, 2023] Stefan Monnier wrote:

>>> My new code is expected to be slower than the "normal" pretty-printer,
>>> but barring performance bugs in `lisp-indent-line` (such as the one
>>> fixed by the patch I just sent to Thierry) it should be approximately
>>> a constant factor slower.
>>> AFAICT the performance of `pp-emacs-lisp-code` can be more problematic.
>> Hopefully, the constant factor is quite small.
>
> In my tests, 10x seems to be the "worst case slowdown" of `pp-region`.
> On some of the tests, it's actually faster, sometimes significantly so
> (presumably due to some non-linear complexity in some parts of
> `pp-buffer`).

I cannot imagine how bad 10x really will be but if you are daily-driving
this, I assume it is so not bad after all.

Thanks for your answers!